
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CentOS下ACL权限控制详解 / iVAN</title>

    <meta name="description" content="CentOS下ACL权限控制详解   ACL权限控制 设置ACL权限:setfacl 查看ACL权限:getfacl ACL权限控制主要目的是提供传统的owner,group,other的read,wirte,execute权限之外的具体权限设置,可以针对单一用户或组来设置特定的权限 比如:某一目录权限为 drwx------ 2 root root 4096 03-10 13:51./acldir 用户user对此目录无任何权限因此无法进入此目录,ACL可单独为用户user设置这个目录的权限,使其可以操作这个目录 ACL启动">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">CentOS下ACL权限控制详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　ACL权限控制</p>
<p>　　设置ACL权限：setfacl</p>
<p>　　查看ACL权限：getfacl</p>
<p>　　ACL权限控制主要目的是提供传统的owner,group,other的read,wirte,execute权限之外的具体权限设置，可以针对单一用户或组来设置特定的权限</p>
<p>　　比如：某一目录权限为</p>
<p>　　drwx------ 2 root root 4096 03-10 13:51./acldir</p>
<p>　　用户user对此目录无任何权限因此无法进入此目录，ACL可单独为用户user设置这个目录的权限，使其可以操作这个目录</p>
<p>　　ACL启动</p>
<p>　　要使用ACL必须要有文件系统支持才行，目前绝大多数的文件系统都会支持，EXT3文件系统默认启动ACL的</p>
<p>　　查看文件系统是否支持ACL</p>
<p>　　[root@localhost tmp]#</p>
<p>　　dumpe2fs -h /dev/sda2 dumpe2fs 1.39 (29-May-2006)</p>
<p>　　……</p>
<p>　　sparse_super large_file</p>
<p>　　Default mount options: user_xattr acl</p>
<p>　　加载ACL功能</p>
<p>　　如果UNIX LIKE支持ACL但是文件系统并不是默认加载此功能，可自己进行添加</p>
<p>　　[root@localhost tmp]# mount -o remount,acl /</p>
<p>　　[root@localhost tmp]# mount</p>
<p>　　/dev/sda2 on / type ext3 (rw,acl)</p>
<p>　　同样也可以修改磁盘挂在配置文件设置默认开机加载</p>
<p>　　[root@localhost tmp]# vi /etc/fstab</p>
<p>　　LABEL=/ / ext3 defaults,acl 1 1</p>
<p>　　查看ACL权限</p>
<p>　　语法：getfacl filename</p>
<p>　　设置ACL权限</p>
<p>　　语法：setfacl [-bkRd] [-m|-x acl 参数] 目标文件名</p>
<p>　　选项与参数：</p>
<p>　　-m:设置后续的acl参数，不可与-x一起使用</p>
<p>　　-x: 删除后续的acl参数，不可与-m一起使用</p>
<p>　　-b:删除所有的acl参数</p>
<p>　　-k:删除默认的acl参数</p>
<p>　　-R:递归设置acl参数</p>
<p>　　-d:设置默认acl参数，只对目录有效</p>
<p>　　针对特殊用户</p>
<p>　　设置格式：u:用户账号列表：权限</p>
<p>　　权限：rwx的组合形式</p>
<p>　　如用户列表为空，代表设置当前文件所有者权限</p>
<p>　　举例：</p>
<p>　　[root@localhost tmp]# mkdir -m 700 ./acldir; ll -d ./acldir</p>
<p>　　drwx------ 2 root root 4096 03-10 13:51 ./acldir</p>
<p>　　[root@localhost tmp]# su tkf</p>
<p>　　[tkf@localhost tmp]$ cd ./acldir/</p>
<p>　　bash: cd: ./acldir/: 权限不够 =&gt;用户无X权限</p>
<p>　　[tkf@localhost tmp]$ exit</p>
<p>　　exit</p>
<p>　　[root@localhost tmp]# setfacl -m u:tkf:x ./acldir/</p>
<p>　　=&gt;针对用户tkf设置acldir目录的权限为x</p>
<p>　　[root@localhost tmp]# ll -d ./acldir/</p>
<p>　　drwx--x---+ 2 root root 4096 03-10 13:51 ./acldir/</p>
<p>　　=&gt;通过ACL添加权限在权限末尾会增加多个一个“+”同时文件原本权限也发生变化。</p>
<p>　　=&gt;可通过getfacl查看原始目录权限</p>
<p>　　[root@localhost tmp]# getfacl ./acldir/</p>
<p>　　# file: acldir</p>
<p>　　# owner: root</p>
<p>　　# group: root</p>
<p>　　user::rwx</p>
<p>　　user:tkf:--x =&gt;记录tkf用户针对此目录有acl权限</p>
<p>　　group::---</p>
<p>　　mask::--x</p>
<p>　　other::---</p>
<p>　　=&gt;这里需要特殊说明，只是tkf这个用户具有X权限，其他用户还是无权限的</p>
<p>　　[root@localhost tmp]# su tkf</p>
<p>　　[tkf@localhost tmp]$ cd ./acldir/</p>
<p>　　[tkf@localhost acldir]$</p>
<p>　　=&gt;用户tkf可以具有x权限可以进入目录</p>
<p>　　针对特定用户组</p>
<p>　　设置格式：g:用户组列表：权限</p>
<p>　　权限：rwx的组合形式</p>
<p>　　如用户组列表为空，代表设置当前文件所属用户组权限</p>
<p>　　举例：</p>
<p>　　[root@localhost tmp]# setfa</p>
<p>　　setfacl setfattr</p>
<p>　　[root@localhost tmp]# setfacl -m g:users:rx ./acldir/</p>
<p>　　[root@localhost tmp]# getfacl ./acldir/</p>
<p>　　# file: acldir</p>
<p>　　# owner: root</p>
<p>　　# group: root</p>
<p>　　user::rwx</p>
<p>　　user:tkf:--x</p>
<p>　　group::--- =&gt; 其他用户组(非acl设置)的权限</p>
<p>　　group:users:r-x =&gt; 记录users用户组针对此目录有acl权限</p>
<p>　　mask::r-x</p>
<p>　　other::---</p>
<p>　　针对有效权限设置</p>
<p>　　有效权限(mask)就是acl权限设置的极限值，也就是你所设置的acl权限一定是mask的一个子集，如果超出mask范围会将超出的权限去掉</p>
<p>　　设置格式：m:权限</p>
<p>　　权限：rwx的组合形式</p>
<p>　　举例：</p>
<p>　　[root@localhost tmp]# setfacl -m m:x ./acldir/</p>
<p>　　[root@localhost tmp]# getfacl ./acldir/</p>
<p>　　# file: acldir</p>
<p>　　# owner: root</p>
<p>　　# group: root</p>
<p>　　user::rwx</p>
<p>　　user:tkf:--x</p>
<p>　　group::r-x #effective:--x</p>
<p>　　group:users:r-x #effective:--x</p>
<p>　　mask::--x</p>
<p>　　other::---</p>
<p>　　针对默认权限设置</p>
<p>　　我们前面都是针对一个目录为一个用户(组)设置特定权限，但是如果这个目录下在新创建的文件是不具有这些针对这个用户的特定权限的。为了解决这个问题，就需要设置默认acl权限，使这个目录下新创建的文件有和目录相同的ACL特定权限</p>
<p>　　设置格式：d:[u|g]:用户(组)列表：权限</p>
<p>　　举例</p>
<p>　　[root@localhost tmp]# mkdir -m 711 ./defdir</p>
<p>　　[root@localhost tmp]# setfacl -m u:tkf:rxw ./defdir</p>
<p>　　[root@localhost tmp]# ll -d ./defdir/</p>
<p>　　drwxrwx--x+ 2 root root 4096 03-10 15:23 ./defdir/</p>
<p>　　=&gt;目录权限具有acl特定权限(后面+)</p>
<p>　　[root@localhost tmp]# touch ./defdir/a.file;ll ./defdir/</p>
<p>　　-rw-r--r-- 1 root root 0 03-10 15:25 a.file</p>
<p>　　=&gt;新创建的文件不具有acl特定权限(后面无+)</p>
<p>　　[root@localhost tmp]# setfacl -m d:u:tkf:rxw ./defdir</p>
<p>　　=&gt;设置默认权限</p>
<p>　　[root@localhost tmp]</p>
<p>　　# getfacl ./defdir/</p>
<p>　　# file: defdir</p>
<p>　　# owner: root</p>
<p>　　# group: root</p>
<p>　　user::rwx</p>
<p>　　user:tkf:rwx</p>
<p>　　group::--x</p>
<p>　　mask::rwx</p>
<p>　　other::--x</p>
<p>　　default:user::rwx</p>
<p>　　default:user:tkf:rwx</p>
<p>　　default:group::--x</p>
<p>　　default:mask::rwx</p>
<p>　　default:other::--x</p>
<p>　　[root@localhost tmp]# touch ./defdir/b.file;ll ./defdir/</p>
<p>　　-rw-r--r-- 1 root root 0 03-10 15:25 a.file</p>
<p>　　-rw-rw----+ 1 root root 0 03-10 15:26 b.file</p>
<p>　　=&gt;新创建文件默认带有acl特定权限</p>
<p>　　[root@localhost tmp]</p>
<p>　　# getfacl ./defdir/b.file</p>
<p>　　# file: defdir/b.file</p>
<p>　　# owner: root</p>
<p>　　# group: root</p>
<p>　　user::rw- user:tkf:rwx #effective:rw-</p>
<p>　　group::--x #effective:---</p>
<p>　　mask::rw-</p>
<p>　　other::---</p>
<p>　　=&gt;这快我有个疑问，为什么mask值是rw，我猜测和文件最大权限有关，</p>
<p>　　=&gt;对于文件来时默认最大权限是666即UMASK为0000.那个对于可执行文件来说</p>
<p>　　=&gt;没有X,难道还需要使用chmod设置? 疑问!!</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:38:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90/" title="权限">权限</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/localhost/" title="localhost">localhost</a>, <a href="https://www.iamivan.net/tag/root/" title="root">root</a>, <a href="https://www.iamivan.net/tag/acl/" title="acl">acl</a>, <a href="https://www.iamivan.net/tag/tmp/" title="tmp">tmp</a>, <a href="https://www.iamivan.net/tag/mask%e5%b1%9e%e6%80%a7%e8%af%a6%e8%a7%a3/" title="Mask属性详解">Mask属性详解</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81%e5%8a%a0%e8%bd%bd-ll/" title="动态加载 &plus;&plus; ll">动态加载 &plus;&plus; ll</a>, <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90%e8%ae%be%e7%bd%ae/" title="权限设置">权限设置</a>, <a href="https://www.iamivan.net/tag/%e9%bb%98%e8%ae%a4%e6%9d%83%e9%99%90/" title="默认权限">默认权限</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e5%a4%b9%e6%9d%83%e9%99%90%e8%ae%be%e7%bd%ae/" title="文件夹权限设置">文件夹权限设置</a>, <a href="https://www.iamivan.net/tag/root%e6%9d%83%e9%99%90/" title="root权限">root权限</a>, <a href="https://www.iamivan.net/tag/root%e7%94%a8%e6%88%b7%e6%9d%83%e9%99%90/" title="root用户权限">root用户权限</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>CentOS下ACL权限控制详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP6Qrz.html" rel="bookmark">CentOS下badblocks指令的详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  CentOS下badblocks指令的详解            一.命令参数 badblocks使用格式为: 引用 badblocks [ -svwnf ] [ -b block-size ] [ -c blocks_at_once ] [ -i input_file ] [ -o output_file ] [ -p num_passes ] [ -t test_pattern ] device [ last-block ] [ start-block ] 参数含义是: 引用 -b bl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYRgZb.html" rel="bookmark">Redis 对比 Memcached 并在 CentOS 下进行安装配置详解&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,本篇文章主要介绍了Redis 对比 Memcached 并在 CentOS 下进行安装配置详解,有兴趣的可以了解一下. 了解一下 Redis Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,使用 ANSI C 编写,并提供多种语言的 API ,它几乎没有上手难度,只需要几分钟我们就能完成安装工作,并让它开始与应用程序顺畅协作.换句话来说,只需投入一小部分时间与精力,大家就能获得立竿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42X0qM.html" rel="bookmark">Windows下的权限设置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着动网论坛的广泛应用和动网上传漏洞的被发现以及SQL注入式攻击越来越多的被使用,WEBSHELL让防火墙形同虚设,一台即使打了所有微软补丁.只让80端口对外开放的WEB服务器也逃不过被黑的命运.难道我们真的无能为力了吗?其实,只要你弄明白了NTFS系统下的权限设置问题,我们可以对crackers们说:NO! 要打造一台安全的WEB服务器,那么这台服务器就一定要使用NTFS和Windows NT/2000/2003.众所周知,Windows是一个支持多用户.多任务的操作系统,这是权限设置的基础,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N7ZPz.html" rel="bookmark">红客必学&colon;Windows下的权限设置详解&lowbar;网络冲浪</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着动网论坛的广泛应用和动网上传漏洞的被发现以及SQL注入式攻击越来越多的被使用,WEBSHELL让防火墙形同虚设,一台即使打了所有微软补丁.只让80端口对外开放的WEB服务器也逃不过被黑的命运.难道我们真的无能为力了吗?其实,只要你弄明白了NTFS系统下的权限设置问题,我们可以对crackers们说:NO! 要打造一台安全的WEB服务器,那么这台服务器就一定要使用NTFS和Windows NT/2000/2003.众所周知,Windows是一个支持多用户.多任务的操作系统,这是权限设置的基础,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn463p.html" rel="bookmark">centos下mysql主从复制设置详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装环境:centos 5.4 mysql版本:mysql 5.1.xx 采用rpm直接安装 所需软件: xtrabackup 1.2.22 采用rpm直接安装 1. Master:/etc/my.cnf  复制代码 代码如下: [mysqld] server-id = 1log-bin innodb_flush_log_at_trx_commit=1 sync_binlog=1 datadir=/var/lib/mysql character-set-server=utf8 init_conn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDKmVM.html" rel="bookmark">CentOS下SSH配置方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SSH 为 Secure Shell 的缩写,由 IETF 的网络工作小组(Network Working Group)所制定:SSH 为建立在应用层和传输层基础上的安全协议. 传统的网络服务程序,如FTP.POP和Telnet其本质上都是不安全的:因为它们在网络上用明文传送数据.用户帐号和用户口令,很容易受到中间人(man-in-the-middle)攻击方式的攻击.就是存在另一个人或者一台机器冒充真正的服务器接收用户传给服务器的数据,然后再冒充用户把数据传给真正的服务器. 而 SSH 是目前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWOXrM.html" rel="bookmark">Linux下DNS服务器搭建详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下DNS服务器搭建详解 简介: DNS服务器的作用就是就好比生活中的电话簿.114查号台一样,为各种网络程序找到对应目标主机的IP地址或对应的主机域名. DNS系统的作用: 正向解析:根据主机名称(域名)查找对应的IP地址(实际应用中最多的) 反向解析:根据IP地址查找对应的主机域名(不常用,一般用于搭建邮件服务器时.) 根据服务器与所提供域名解析记录的关系,将DNS服务器分为不同的角色: 缓存域名服务器 也称为 唯高速缓存服务器 通过向其他域名服务器查询获得域名-&gt;IP地址记录 将域			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAQlnnM.html" rel="bookmark">linux 下的yum命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				yum(全称为 Yellow dog Updater, Modified)是一个在Fedora和RedHat以及SUSE中的Shell前端软件包管理器.基於RPM包管理,能够从指定的服务器自动下载RPM包并且安装,可以自动处理依赖性关系,并且一次安装所有依赖的软体包,无须繁琐地一次次下载.安装.yum提供了查找.安装.删除某一个.一组甚至全部软件包的命令,而且命令简洁而又好记. yum的命令形式一般是如下:yum [options] [command] [package ...] 其中的[opt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyVlkp.html" rel="bookmark">Flash声音控制详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制|详解 声音是多媒体的重要组成元素,恰当.灵活地运用声音往往是多媒体作品的成败关键.Flash作为人们喜爱的多媒体工具,其声音的使用方式也丰富多样,本文探讨了在Flash中使用声音的几种情况,希望能对大家有所帮助.       一.在时间轴中使用声音       这是Flash中声音最常使用的方式,任何一本Flash教材都会讲到这个问题,所以只作简单说明.       在设置一个关键帧后,只要你导入了声音文件,在帧属性面板都能进行该帧的声音设置.声音的同步属性(Sync)主要有以下几种:  			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEdjJz.html" rel="bookmark" class="title">趣用文化元素</a>
					<div>
						一扯上文化二字,总觉虚无缥缈.漫无边际,或者老气横秋,如何有趣地利用中华文化的思想和符号,结合现代的元素,使其成为有意思的传播手法,这个问题的思考过程形成了一套腾讯桌面产品的宣传广告及此文. 这段时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmrGlz.html" rel="bookmark" class="title">网络考场（9）（转）taddsub&period;asp</a>
					<div>
						网络 &lt;%@ Language=VBScript %&gt;&lt;% if Request.ServerVariables(&quot;http_method&quot;)=&quot;GET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Kmwb.html" rel="bookmark" class="title">Windows 8&period;1的书签功能：Reading List</a>
					<div>
						书签功能是用户常向微软提起的关于网页浏览体验的一项功能,微软将Windows 8.1的Reading List新特性作为对此要求的回应.用户可以收藏在网上找到的所有感兴趣的事物,或是其他任何想下次再使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK8x5p.html" rel="bookmark" class="title">Win7系统安装程序提示错误代码0xc8000222怎么办？</a>
					<div>
						Win7系统安装程序提示错误代码0xc8000222怎么办?   解决方法: 1.点击&quot;开始&quot;-&gt;&quot;所有程序&quot;-&gt;&quot;命令提示符&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2XGOM.html" rel="bookmark" class="title">如何在Excel2010表格显示完整身份证号？</a>
					<div>
						  1.首先我们可以在单元格内输入一长串数据,这个时候会发现会自动转换成科学记数格式,切换单元格,我们可以在数字前面加一个英文的'单引号然后接着输入数字 2.这个时候我们就会发现数字正常显示啦.除了这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG2Y1b.html" rel="bookmark" class="title">word显示页间空白隐藏页间空白</a>
					<div>
						使用word来排版文档,有时候会由于不经意间的鼠标操作,导致文档的界面发生改变,最突出的问题莫过于本文给大家讲解的,文档页与页之间的距离突然变得很小,导致连页眉页脚貌似都显示不出来! 下面我们以实例来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24P3Qp.html" rel="bookmark" class="title">Win7移动中心快捷设电脑</a>
					<div>
						操作系统中的很多功能都不是摆在眼前的,需要通过至少两到三个步骤的操作才能实现.多余的操作一多,难免会降低工作效率,如果能有一个功能面板,将常用功能都放到一起该多好?其实Win7系统中的确有这样的面板, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX6gGp.html" rel="bookmark" class="title">摄像头黑屏怎么办&quest;</a>
					<div>
						网络的高速发展,让人们拥有了更多的互联沟通方式.越来越多的用户,开始在日常生活中,使用电脑与互联网,与远方的亲朋好友,进行面对面的沟通,即使远在天涯,也如近在咫尺. 想要进行网络视频聊天,一只网络摄像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY5RZM.html" rel="bookmark" class="title">xp和win7添加虚拟网卡的详细方法</a>
					<div>
						  一.xp添加虚拟网卡 第一步:开始--&gt;设置--&gt;控制面板--&gt;添加硬件: 第二步:选择是,硬件已连接好. 第三步:下拉到最后,选择添加新的硬件设备. 第四步:选择&quot;安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNoAwM.html" rel="bookmark" class="title">开启QuickTime自动播放功能</a>
					<div>
						  uickTime 跟其他播放软体有点不同的是它在开启影片后,并不会自动播放,必须再按下Play 键或空白键之后,才会开始播放 如何设置成打开影片就会自动开始播放呢? 这里就用一个简单的终端机小技巧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8330p.html" rel="bookmark" class="title">Web开发之CSS</a>
					<div>
						Web开发,除了后台开发和数据开发,很大一块是前端开发.前端开发中使用最大的技 术是:HTML(现在也有项目开始使用HTML5了,比如沪江英语的听力曲线使用html5 canvas绘制的),CSS(这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3aDZM.html" rel="bookmark" class="title">界面-web程序开发中文件的下载</a>
					<div>
						问题描述 web程序开发中文件的下载 在登录得主界面增加下载的链接,可以下载发布到服务器上的文件.使用的框架是spring,Struts2,ibatis. 解决方案 如果你不愿暴露文件存储路径,就用i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmJ61b.html" rel="bookmark" class="title">oracle 中文 乱码-oracle 客户端配置字符集问题</a>
					<div>
						问题描述 oracle 客户端配置字符集问题 通过SQL&gt;select userenv('language') from dual;查询到字符集是:AMERICAN _ AMERICA. ZHS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX0Njz.html" rel="bookmark" class="title">反向Ajax：Comet用于服务器与客户端之间响应通信的流和长轮询</a>
					<div>
						客户端的示例使用的是 jQuery http://www.aliyun.com/zixun/aggregation/33906.html&quot;&gt;JavaScript 库.在这首篇文章中,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydJ3Eb.html" rel="bookmark" class="title">谁能解决下啊</a>
					<div>
						问题描述 Loading .tld files from global classpath[17:39:29.077] {http--8080-10$16724745} java.lang.Illeg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwkR8M.html" rel="bookmark" class="title">《Android 应用案例开发大全（第二版）》&mdash;&mdash;6&period;2节Intent对象</a>
					<div>
						6.2 Intent对象 Android开发权威指南(第二版) 上一节介绍了Intent的主要作用就是封装和传递各种信息.那么Intent对象到底可以封装和传递哪些信息呢?本节将会揭开这些秘密. 6. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW4o8z.html" rel="bookmark" class="title">柯达低成本转型初见成效考虑重返单反相机失地</a>
					<div>
						昔日胶片巨人柯达的衰落和艰难复兴,一直都是全球商业史上的经典案例. 在去年亏损2.32亿美元后,柯达表示今年内能实现4亿美元利润,三年内数字产品营收从55亿美元提高到70亿美元. &quot;柯达依然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkx7Kp.html" rel="bookmark" class="title">Google拟在比利时投入巨资建数据中心</a>
					<div>
						  据比利时媒体报道,Google和比利时瓦隆大区政府日前共同宣布,为适应互联网日益发展的迫切需求,将在蒙斯附近建立一个占地85公顷的数据中心,项目名称为圣吉斯蓝计划.      该数据中心投资金额为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkR10p.html" rel="bookmark" class="title">Oracle数据库系统紧急故障处理方法&lowbar;oracle</a>
					<div>
						正在看的ORACLE教程是:Oracle数据库系统紧急故障处理方法.Oracle物理结构故障是指构成数据库的各个物理文件损坏而导致的各种数据库故障.这些故障可能是由于硬件故障造成的,也可能是人为误操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z5A0z.html" rel="bookmark" class="title">Nginx配置虚拟主机及对PHP的支持</a>
					<div>
						在conf目录下面创建vhosts目录,并创建站点的配置文件,这里以examples.com.conf为例.  代码如下 复制代码 [root@localhost ~]# cd /usr/local/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G1Lyp.html" rel="bookmark" class="title">c&plus;&plus;-请教一个SOCKET套接字的问题</a>
					<div>
						问题描述 请教一个SOCKET套接字的问题 int socket(int domain, int type, int protocol); 请问下上面这句话 我看到有的人写的时候用的 不是INT类型  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmR6op.html" rel="bookmark" class="title">app config-app&period;config中的connectionString有文件路径，怎么不能使用&commat;？</a>
					<div>
						问题描述 app.config中的connectionString有文件路径,怎么不能使用@? app.config中的connectionString有长文件路径,怎么不能使用@? 解决方案 这个是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWYkQz.html" rel="bookmark" class="title">请大家帮我表白&period;</a>
					<div>
						问题描述 我想在愚人节那天向我一见钟情的女孩表白,大家帮我在愚人节那天发个短信给她好吗?内容是&quot;米莱,我喜欢你!&quot;希望有N多的手机号码同一时间发同样内容的短信过去,我准备表白的时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAwXDp.html" rel="bookmark" class="title">GitHub 故事：欢迎来到开源世界</a>
					<div>
						[核心提示] 作为项目的副产品而诞生的 Github 已经有 400 万用户,超过 800 万个数据存储库.为「大规模协作将改变一切商业形态」的预言做了最好的注脚. &quot;我们的网站几个月前无缘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqR3mb.html" rel="bookmark" class="title">新顶级域名：一场巨头的互联网圈地盛宴</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 相关阅读: ICANN公布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn418ob.html" rel="bookmark" class="title">html-script标签除了应用脚本外，还有什么用法？</a>
					<div>
						问题描述 script标签除了应用脚本外,还有什么用法? 如题,HTML里的script标签,除了表明这是脚本之外,还有什么用法?网上有人说可以包含用户自定义数据,这个怎么用?这些数据是直观的显示在网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQlRob.html" rel="bookmark" class="title">linux 安装配置 rsync服务</a>
					<div>
						本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/50456670 未经博主允许不得转载. 博主地址是:http://blog.csd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaBXZb.html" rel="bookmark" class="title">好书推荐-腾讯方法：一个市值1500亿美元公司的产品真经</a>
					<div>
						 腾讯方法,本书通过两位作者亲历,采写的腾讯公司三个处于不同生命周期的产品案例,从三个不同视角,全景式地呈现了腾讯在产品开发与运营的独到思路与实操细节,全生命周期地展现了腾讯公司的产品开发与运营思维. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7Ynxp.html" rel="bookmark" class="title">yy游戏直播间如何创建 yy游戏直播开启方法</a>
					<div>
						yy主播游戏直播申请流程: 1.首先,保证所在频道频道OW.VP启用游戏直播频道模板 2:进入游戏直播频道,点击模板上方的添加主播按键 3:输入要添加的主播YY号,点击添加 4.添加成功后会在下方有主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKa3jM.html" rel="bookmark" class="title">数据验证</a>
					<div>
						问题描述 hi,各位大牛:在编写java后台程序时,方法传过来的参数大家验证格式吗?譬如你可能需要数字,但是传的是字符类型....,如果验证,大家对方法参数验证的规则是什么?是怎么验证的?编写一个静态 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
